(function() {
    "use strict";

    angular.module("weChatApp")
        .factory("TsfService", ["$q", "Endpoints", TsfService])
    ;

    function TsfService($q, endpoints) {
        var service = this;

        service.getTargetAccountByExternalIds = function(externalIds) {
            var deferred = $q.defer();
            endpoints.fetchTargetTsfRecordByExternalIds(externalIds).then(function(resp) {
                deferred.resolve(resp.TSF_vod__c);
            });
            return deferred.promise;
        };

        return service;
    }
}());